Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ScopeNotificationSettings

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ScopeNotificationSettings

Enclosing class:
  TdApi

public static final class TdApi.ScopeNotificationSettings extends TdApi.Object
Contains information about notification settings for several chats.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`disableMentionNotifications`
True, if notifications for messages with mentions will be created as for an ordinary unread message.
`boolean`
`disablePinnedMessageNotifications`
True, if notifications for incoming pinned messages will be created as for an ordinary unread message.
`int`
`muteFor`
Time left before notifications will be unmuted, in seconds.
`boolean`
`muteStories`
True, if story notifications are disabled.
`boolean`
`showPreview`
True, if message content must be displayed in notifications.
`boolean`
`showStorySender`
True, if the sender of stories must be displayed in notifications.
`long`
`soundId`
Identifier of the notification sound to be played; 0 if sound is disabled.
`long`
`storySoundId`
Identifier of the notification sound to be played for stories; 0 if sound is disabled.
`boolean`
`useDefaultMuteStories`
If true, story notifications are received only for the first 5 chats from topChatCategoryUsers regardless of the value of muteStories.

## Constructor Summary

Constructors
Constructor
Description
`ScopeNotificationSettings()`
Contains information about notification settings for several chats.
`ScopeNotificationSettings(int muteFor, long soundId, boolean showPreview, boolean useDefaultMuteStories, boolean muteStories, long storySoundId, boolean showStorySender, boolean disablePinnedMessageNotifications, boolean disableMentionNotifications)`
Contains information about notification settings for several chats.
`ScopeNotificationSettings(DataInput input)`
Contains information about notification settings for several chats.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### muteFor

public int muteFor
Time left before notifications will be unmuted, in seconds.

### soundId

public long soundId
Identifier of the notification sound to be played; 0 if sound is disabled.

### showPreview

public boolean showPreview
True, if message content must be displayed in notifications.

### useDefaultMuteStories

public boolean useDefaultMuteStories
If true, story notifications are received only for the first 5 chats from topChatCategoryUsers regardless of the value of muteStories.

### muteStories

public boolean muteStories
True, if story notifications are disabled.

### storySoundId

public long storySoundId
Identifier of the notification sound to be played for stories; 0 if sound is disabled.

### showStorySender

public boolean showStorySender
True, if the sender of stories must be displayed in notifications.

### disablePinnedMessageNotifications

public boolean disablePinnedMessageNotifications
True, if notifications for incoming pinned messages will be created as for an ordinary unread message.

### disableMentionNotifications

public boolean disableMentionNotifications
True, if notifications for messages with mentions will be created as for an ordinary unread message.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ScopeNotificationSettings

public ScopeNotificationSettings()
Contains information about notification settings for several chats.

### ScopeNotificationSettings

public ScopeNotificationSettings(int muteFor, long soundId, boolean showPreview, boolean useDefaultMuteStories, boolean muteStories, long storySoundId, boolean showStorySender, boolean disablePinnedMessageNotifications, boolean disableMentionNotifications)
Contains information about notification settings for several chats.

Parameters:
  `muteFor` - Time left before notifications will be unmuted, in seconds.
  `soundId` - Identifier of the notification sound to be played; 0 if sound is disabled.
  `showPreview` - True, if message content must be displayed in notifications.
  `useDefaultMuteStories` - If true, story notifications are received only for the first 5 chats from topChatCategoryUsers regardless of the value of muteStories.
  `muteStories` - True, if story notifications are disabled.
  `storySoundId` - Identifier of the notification sound to be played for stories; 0 if sound is disabled.
  `showStorySender` - True, if the sender of stories must be displayed in notifications.
  `disablePinnedMessageNotifications` - True, if notifications for incoming pinned messages will be created as for an ordinary unread message.
  `disableMentionNotifications` - True, if notifications for messages with mentions will be created as for an ordinary unread message.

### ScopeNotificationSettings

public ScopeNotificationSettings(DataInput input) throws IOException
Contains information about notification settings for several chats.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`